#include <balancer/modules/cookie_policy/ut_common/fuzz_common.h>

extern "C" int LLVMFuzzerTestOneInput(const ui8* const wireData, const size_t wireSize) {
    using namespace NModCookiePolicy;
    TStringBuf wire((const char*)(wireData), wireSize);

    FillAndTestCookiePolicy([](TModuleConfig& cfg) -> auto& {
        return cfg.is_gdpr_b_cookie();
    }, wire);

    return 0;
}
